package jnet.client.gui;

import javax.swing.SwingUtilities;


public class UIUpdater {
    
    public static void updateMapUI() {
        SwingUtilities.invokeLater(() -> {
            MapTree.reload();
            Tray.refresh();
        });
    }
    
    public static void updateMapTree() {
        SwingUtilities.invokeLater(() -> {
            MapTree.reload();
        });
    }
    
    public static void updateTray() {
        SwingUtilities.invokeLater(() -> {
            Tray.refresh();
        });
    }
    
    public static void updateMapView() {
        SwingUtilities.invokeLater(() -> {
            MapView.updateMapView();
        });
    }

}
